Get SCIM Group
curl --request GET \
--url https://api.attention.tech/v2/scim/Groups/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.attention.tech/v2/scim/Groups/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.attention.tech/v2/scim/Groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "group-uuid-123",
"displayName": "Sales Team",
"members": [
{
"value": "user-uuid-1",
"display": "jane@example.com"
}
]
}{
"code": 401,
"message": "unauthenticated for Invalid API key"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}Scim
Get SCIM Group
Retrieves a single group by ID. Used by SCIM clients like Okta.
GET
/
scim
/
Groups
/
{id}
Get SCIM Group
Authorizations
Path Parameters
SCIM group ID
Response
Group retrieved successfully
Example:
"1001"
Example:
[
"urn:ietf:params:scim:schemas:core:2.0:Group",
"urn:okta:custom:group:1.0"
]
Example:
"firstGroup"
Show child attributes
Show child attributes
Example:
[{ "value": "101", "display": "okta" }]
Show child attributes
Show child attributes
Was this page helpful?
⌘I